package com.ruoyi.project.business.mapper;

import java.util.List;
import com.ruoyi.project.business.domain.TpParabarDetailValue;
import org.apache.ibatis.annotations.Param;

/**
 * 【请填写功能名称】Mapper接口
 * 
 * @author ruoyi
 * @date 2024-04-28
 */
public interface TpParabarDetailValueMapper 
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public TpParabarDetailValue selectTpParabarDetailValueById(Long id);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param tpParabarDetailValue 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<TpParabarDetailValue> selectTpParabarDetailValueList(TpParabarDetailValue tpParabarDetailValue);

    public List<TpParabarDetailValue> selectDetailValueByParabarDetailId(Long parabarDetailId);
    /**
     * 新增【请填写功能名称】
     * 
     * @param tpParabarDetailValue 【请填写功能名称】
     * @return 结果
     */
    public int insertTpParabarDetailValue(TpParabarDetailValue tpParabarDetailValue);

    /**
     * 修改【请填写功能名称】
     * 
     * @param tpParabarDetailValue 【请填写功能名称】
     * @return 结果
     */
    public int updateTpParabarDetailValue(TpParabarDetailValue tpParabarDetailValue);

    /**
     * 删除【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteTpParabarDetailValueById(Long id);

    public int deleteTpParabarDetailValueByParabarId(Long parabarId);
    public int softDeleteTpParabarDetailValueByParabarId(Long[] parabarId);

    /**
     * 批量删除【请填写功能名称】
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTpParabarDetailValueByIds(Long[] ids);

    public int selectBarCount(Long paraId);

    int selectBarCountWithModel(@Param("ids")Long[] ids, @Param("elevatorModelId")Long elevatorModelId);
}
